Bug 512957 - -net channel has become 'guestfwd' in newest qemu
-net channel has become 'guestfwd' in newest qemu
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-21 09:44 EDT by Richard W.M. Jones
Modified: 2010-03-27 06:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-27 06:46:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-07-21 09:44:08 EDT
Description of problem:

The -net channel option has been renamed and changed
slightly in the newest qemu:

http://git.savannah.gnu.org/cgit/qemu.git/commit/?id=c92ef6a22d3c71538fcc48fb61ad353f7ba03b62

The old format still works fine.  However our configure
script breaks while trying to detect vmchannel support,
and in any case we should detect the new format and use
that directly (at runtime).

Version-Release number of selected component (if applicable):

libguestfs <= 1.0.62

How reproducible:


Steps to Reproduce:
1. Install qemu 0.10.50
2. Try to run ./configure with libguestfs
3.
  
Actual results:

Fails to detect vmchannel support.

Expected results:

Should detect new-style guestfwd support.

Additional info:
Comment 1 Richard W.M. Jones 2009-07-21 11:04:13 EDT
This seems to fix the configure script.  Unfortunately
still doesn't work, see bug 512973.

http://git.et.redhat.com/?p=libguestfs.git;a=commitdiff;h=b2ae7ed6e67b3cf596e1000ec5219bbefb6123dd
Comment 2 Fedora Update System 2009-07-23 11:12:08 EDT
libguestfs-1.0.64-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.64-2.el5
Comment 3 Fedora Update System 2009-07-27 10:45:12 EDT
libguestfs-1.0.64-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.64-3.el5
Comment 4 Fedora Update System 2009-07-29 13:00:49 EDT
libguestfs-1.0.65-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.65-2.el5
Comment 5 Fedora Update System 2009-08-07 04:34:09 EDT
libguestfs-1.0.66-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.66-4.el5
Comment 6 Fedora Update System 2009-08-14 05:13:52 EDT
libguestfs-1.0.67-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.67-1.el5
Comment 7 Fedora Update System 2009-08-17 20:22:49 EDT
libguestfs-1.0.65-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-08-19 17:55:21 EDT
libguestfs-1.0.68-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.68-5.el5
Comment 9 Fedora Update System 2009-09-08 18:59:30 EDT
libguestfs-1.0.68-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Richard W.M. Jones 2010-03-27 06:46:41 EDT
Long fixed upstream.  We don't use guestfwd by
default any more.

Note You need to log in before you can comment on or make changes to this bug.